# Create Account

### API Overview

This API allows you to create a new account to the system.

* **Request Method：**`POST`
* **Request URL：**`https://openapi.elven.com/open/v3/entityAccount`

### Request Headers

<table><thead><tr><th width="202">Parameter Name</th><th width="90">Type</th><th width="100">Required</th><th>Description</th></tr></thead><tbody><tr><td>elven-api-key</td><td>String</td><td>Yes</td><td>The API key assigned to you</td></tr><tr><td>elven-api-sign</td><td>String</td><td>Yes</td><td>Request signature, used to verify the legitimacy of the request</td></tr><tr><td>elven-api-timestamp</td><td>String</td><td>Yes</td><td>Request timestamp, in milliseconds</td></tr></tbody></table>

[View Details](https://docs.elven.com/v3/~/changes/YkdBoYHdjwadymwIANKf/openapi/obtaining-api-authorization?r=LJbAoiJKFX1i7Py2GCYr)

### Request Parameters

#### Body Parameters (JSON Format)

<table><thead><tr><th width="192">Parameter Name</th><th width="89">Type</th><th width="105">Required</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>String</td><td>Yes</td><td>The name of the account.</td></tr><tr><td>platformId</td><td>String</td><td>Yes</td><td>The platform identifier associated with the account.</td></tr><tr><td>identity</td><td>String</td><td>Yes</td><td>Account address or ID.</td></tr><tr><td>memo</td><td>String</td><td>No</td><td>Additional information or notes about the account.</td></tr><tr><td>auxiliaryValueList</td><td>Array</td><td>No</td><td>A list of auxiliary accounting fields,only supports Custom Options type.</td></tr></tbody></table>

**auxiliaryValueList (array, optional)**&#x20;

<table><thead><tr><th width="197">Parameter Name</th><th width="86">Type</th><th width="103">Required</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>String</td><td>Yes</td><td>Auxiliary code name</td></tr><tr><td>value</td><td>String</td><td>Yes</td><td>“The corresponding value, which will be automatically created if it does not exist.</td></tr></tbody></table>

#### Example Request

```json
{
    "name": "account1",
    "platformId": "zw1dbgFCXmZctjq06FbR4W3Gk8EBn2Iwz",
    "identity": "0xaaa",
    "memo": "this is memo",
    "auxiliaryValueList": [
        {
            "name": "counterparty",
            "value": "Counterparty1"
        },
        {
            "name": "text1",
            "value": "value1"
        }
    ]
}
```

### Response Parameters

<table><thead><tr><th width="187">Parameter Name</th><th width="109">Type</th><th>Description</th></tr></thead><tbody><tr><td>entityAccountId</td><td>String</td><td>Account  Primary Key</td></tr><tr><td>name</td><td>String</td><td>Account Name</td></tr><tr><td>platformId</td><td>String</td><td>PlatformId Primary Key</td></tr><tr><td>identity</td><td>String</td><td>Account Address</td></tr><tr><td>memo</td><td>String</td><td>memo</td></tr></tbody></table>

#### Example Response

```json
{
    "entityAccountId": "xxxx",
    "name": "account1",
    "platformId": "xxx",
    "identity": "xxx",
    "memo": ""
}
```

### **Notes**

* The following headers are required for all requests to ensure security and validity: elven-api-key,elven-api-sign,elven-api-timestamp
* The auxiliaryValueList only supports fields of the Custom Options type.
* If the value for an auxiliary field does not exist, the system will automatically create it.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elven.com/v3/openapi/create-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
